format_version: '1.0'


repository_url: https://github.com/libuv/libuv
issue_url: https://github.com/libuv/libuv/issues/387


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: c1fe25f
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: d734f0a124f6768efdc4e0cf35a9a73031b7e186
    - input_file: 'b-partial-2.diff'
      commit_sha1: 79054b812fc65ff1d60cdc3c37fb1d55496d4008
    - input_file: 'b-partial-3.diff'
      commit_sha1: 0fcf2d14416ef308923e1b641d24dc0308c00980
    - input_file: 'b-partial-4.diff'
      commit_sha1: bce033e157a4865ceb491ea1fef4f9c464a2e2f4
    - input_file: 'b-partial-5.diff'
      commit_sha1: 2d2af382ce84b91d6ee7a185af32fca7f0acd84b
    - input_file: 'b-partial-6.diff'
      commit_sha1: 92f42536285bd2e18438df1cf51be4eb33c9344b
    - input_file: 'b-partial-7.diff'
      commit_sha1: 7a3ff317f81fe9323e8e4774d3eb1c7f57301906
    - input_file: 'b-partial-8.diff'
      commit_sha1: e23b9b79a0a40e42558abe70a53779e4415e4a5c

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 97b85e8b75b8f3df774b6e008dbaa143daa412b7

options:
  language: C
